GNU bug report logs - #36637
Package buffer should show where (which archive) a package is installed from

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Stefan Kangas <stefan@HIDDEN>; merged with #27601, #36982; dated Sat, 13 Jul 2019 12:15:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 27601 36637 36982. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 27601 36637. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'wishlist' from 'normal' Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Jul 2019 12:14:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 13 08:14:46 2019
Received: from localhost ([127.0.0.1]:41542 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hmGvN-0006wA-Mr
	for submit <at> debbugs.gnu.org; Sat, 13 Jul 2019 08:14:45 -0400
Received: from lists.gnu.org ([209.51.188.17]:40786)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1hmGvL-0006w2-NI
 for submit <at> debbugs.gnu.org; Sat, 13 Jul 2019 08:14:44 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:34540)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <stefankangas@HIDDEN>) id 1hmGvK-0002EJ-KZ
 for bug-gnu-emacs@HIDDEN; Sat, 13 Jul 2019 08:14:43 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 RCVD_IN_DNSWL_NONE,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <stefankangas@HIDDEN>) id 1hmGvJ-0004Yo-EN
 for bug-gnu-emacs@HIDDEN; Sat, 13 Jul 2019 08:14:42 -0400
Received: from mail-wr1-f48.google.com ([209.85.221.48]:46559)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <stefankangas@HIDDEN>)
 id 1hmGvH-0004S5-Ds
 for bug-gnu-emacs@HIDDEN; Sat, 13 Jul 2019 08:14:39 -0400
Received: by mail-wr1-f48.google.com with SMTP id z1so12447291wru.13
 for <bug-gnu-emacs@HIDDEN>; Sat, 13 Jul 2019 05:14:34 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=LRE40cqXDZ4kaifwrTj5JsWfTkq13DaU0xFIynacU7g=;
 b=hsfoaYaPrMbhIGbfo7pt6V3paLXr8xZqnn13t1pYBZkTH2yUWau99vMGNMANcbABwz
 3sbGvwFAO5GDempqeSt1lYgM8GI4lyCIKoJWdYXZYR437tRxGA8SxbjE9/sbLYoBoCW7
 WF5XBa8Ebv0C+u70gVPKTZdUNDWQq1VfuAdEdCYAiG2xeDMjs4aEWZQHdzSN1FosVmoL
 KtxxMjQez+7cc6JDiHHX+B3G18ftwoCWeNrEPxd6lrz9ISV7MOwPT/T1NH85vIIi4eC/
 C9jj9BW0HND0b+soY8rgvYZyYpGl+eHMLCpZh0E5yQEEm/4juWIpEO0ebcfolyJwE/n7
 P5ng==
X-Gm-Message-State: APjAAAXPKVCdvzkxbkv1Qy1U0PY5Ksg/Nws2EocEGT3Fr5PI1KUVrLY2
 Fglmc3W2wW0tCMtFxJ3EXHbsxFxqkf9695Ykz/JSennn
X-Google-Smtp-Source: APXvYqwdv21CdCIjuMIHIjiXLVDW6gSAl3jauSJpxlKQ8rduSlaBgoWT0swLRCr9oKrTveJ5bZYWwS+bHYh1Aqy0ZF4=
X-Received: by 2002:adf:eb49:: with SMTP id u9mr12097976wrn.215.1563020073338; 
 Sat, 13 Jul 2019 05:14:33 -0700 (PDT)
MIME-Version: 1.0
From: Stefan Kangas <stefan@HIDDEN>
Date: Sat, 13 Jul 2019 14:14:21 +0200
Message-ID: <CADwFkmma1W6DBy2DgYE++jg5WeZQ_BgCRMz2wH2Uqzy+deEQtw@HIDDEN>
Subject: Package buffer should show where (which archive) a package is
 installed from
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 209.85.221.48
X-Spam-Score: -1.0 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.0 (--)

It would be good if there was an indication in the "*Packages*" buffer of where
(what archive) you have installed a package from.

I have added both MELPA and MELPA Stable to `package-archives':

    (add-to-list 'package-archives
                 '("melpa" . "https://melpa.org/packages/") t)
    (add-to-list 'package-archives
                 '("melpa-stable" . "https://stable.melpa.org/packages/") t)

I sometimes install packages from gnu (ELPA), sometimes from melpa and sometimes
from melpa-stable.

The package "ivy" is available from all three archives.  After installing the
package from gnu, when I run M-x package-list-packages, I see in the "*Package*"
buffer the following two entries (although not next to each other):

  ivy                20190709.740  available  melpa      Incremental
Vertical completYon
  ivy                0.11.0        installed             Incremental
Vertical completYon

From this, I can figure out that I have not installed it from melpa (its status
is "available").  But I cannot easily know if I installed it from gnu or from
melpa-stable, or if it's available from only one or from both of them.

In this case, the versions on melpa-stable and gnu matches.  (Or, at least, the
version number does.)  But this just happens to be the case here.  Often, the
package does not even exist on gnu, and I wouldn't know that from the above.

It would be good if the second of the above two lines would be this instead:

  ivy                0.11.0        installed  gnu        Incremental
Vertical completYon

It would be even better if the describe-package buffer would also would show the
same information.

Thanks,
Stefan Kangas




Acknowledgement sent to Stefan Kangas <stefan@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#36637; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.